net.sf.jasperreports.engine.util.xml

## Class JRXmlDocumentProducer

- java.lang.Object
- - net.sf.jasperreports.engine.util.xml.JRXmlDocumentProducer

-     public class JRXmlDocumentProducer
      extends java.lang.Object

  Produces a `org.w3c.dom.Document` based on a `java.io.File`, `java.io.InputStream` or a `java.lang.String` uri
  Version:
    $Id: JRXmlDocumentProducer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlDocumentProducer()`
    `JRXmlDocumentProducer(java.io.File file)`
    `JRXmlDocumentProducer(java.io.InputStream inputStream)`
    `JRXmlDocumentProducer(java.lang.String uri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Document` | `getDocument()`
    `org.w3c.dom.Document` | `getDocument(org.w3c.dom.Node sourceNode)`
    `protected javax.xml.parsers.DocumentBuilder` | `getDocumentBuilder()`
    `javax.xml.parsers.DocumentBuilderFactory` | `getDocumentBuilderFactory()`
    `void` | `setDocumentBuilderFactory(javax.xml.parsers.DocumentBuilderFactory documentBuilderFactory)`
    `void` | `setFile(java.io.File file)`
    `void` | `setInputStream(java.io.InputStream inputStream)`
    `void` | `setUri(java.lang.String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlDocumentProducer

          public JRXmlDocumentProducer()

    - #### JRXmlDocumentProducer

          public JRXmlDocumentProducer(java.io.File file)

    - #### JRXmlDocumentProducer

          public JRXmlDocumentProducer(java.io.InputStream inputStream)

    - #### JRXmlDocumentProducer

          public JRXmlDocumentProducer(java.lang.String uri)

  - ### Method Detail

    - #### getDocumentBuilderFactory

          public javax.xml.parsers.DocumentBuilderFactory getDocumentBuilderFactory()

    - #### setDocumentBuilderFactory

          public void setDocumentBuilderFactory(javax.xml.parsers.DocumentBuilderFactory documentBuilderFactory)

    - #### setFile

          public void setFile(java.io.File file)

    - #### setInputStream

          public void setInputStream(java.io.InputStream inputStream)

    - #### setUri

          public void setUri(java.lang.String uri)

    - #### getDocument

          public org.w3c.dom.Document getDocument()
                                           throws JRException

      Throws:
        `JRException`

    - #### getDocument

          public org.w3c.dom.Document getDocument(org.w3c.dom.Node sourceNode)
                                           throws JRException

      Throws:
        `JRException`

    - #### getDocumentBuilder

          protected javax.xml.parsers.DocumentBuilder getDocumentBuilder()
                                                                  throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com